NPPST Core

Basic functions for CUDA streams management. More...

## Detailed Description

Basic functions for CUDA streams management.

## Modules

| NPPST Image Processing

## Functions

NCV_EXPORTS cudaStream_t | nppStGetActiveCUDAstream ()
| Gets an active CUDA stream used by NPPST NOT THREAD SAFE. More...
NCV_EXPORTS cudaStream_t | nppStSetActiveCUDAstream (cudaStream_t cudaStream)
| Sets an active CUDA stream used by NPPST NOT THREAD SAFE. More...

## Function Documentation

## nppStGetActiveCUDAstream()

NCV_EXPORTS cudaStream_t nppStGetActiveCUDAstream | ( |  | ) |

Gets an active CUDA stream used by NPPST NOT THREAD SAFE.

Returns
  Current CUDA stream

## nppStSetActiveCUDAstream()

NCV_EXPORTS cudaStream_t nppStSetActiveCUDAstream | ( | cudaStream_t | cudaStream | ) |

Sets an active CUDA stream used by NPPST NOT THREAD SAFE.

Parameters

  cudaStream | [IN] cudaStream CUDA stream to become current

Returns
  CUDA stream used before